//+------------------------------------------------------------------+
//|      SP_Pivot_Points.mq4                                                |
//|                                                                  |
//|      Shane Lee                                                   |
//|      tradingmail@bigpond.com                                     |
//|                                                                  |           
//+------------------------------------------------------------------+
#property indicator_chart_window
//-------------------------------------------------------------------
   extern string timeframe = "H1";
   extern int size = 2;
   extern color R3_color=FireBrick;
   extern color R2_color=Red;
   extern color R1_color=Orange;
   extern color Pivot_color=White;
   extern color S1_color=DodgerBlue;
   extern color S2_color=Blue;
   extern color S3_color=Navy;

//-------------------------------------------------------------------
int init()
  {

   return(0);
  }
//-------------------------------------------------------------------
int start()
  {
   int tf=0;
   if (timeframe=="M1")tf=1;
   if (timeframe=="M5")tf=5;
   if (timeframe=="M15")tf=15;
   if (timeframe=="M30")tf=30;
   if (timeframe=="H1")tf=60;
   if (timeframe=="H4")tf=240;
   if (timeframe=="D1")tf=1440;
   if (timeframe=="W1")tf=10080;
   if (timeframe=="MN1" || timeframe=="MN")tf=43200;

   double H = iHigh(Symbol(),tf,1);
   double L = iLow(Symbol(),tf,1);
   double C = iClose(Symbol(),tf,1);

   double PP = (H+L+C)/3;
   double R1 = (2*PP)-L;
   double S1 = (2*PP)-H;
   double R2 = (PP-S1)+R1;
   double S2 = PP-(R1-S1);
   double R3 = (PP-S2)+R2;
   double S3 = PP-(R2-S2);
 
   ObjectDelete(timeframe+"pp");
   ObjectDelete(timeframe+"r1");
   ObjectDelete(timeframe+"s1");
   ObjectDelete(timeframe+"r2");
   ObjectDelete(timeframe+"s2");
   ObjectDelete(timeframe+"r3");
   ObjectDelete(timeframe+"s3");
   
   ObjectCreate (timeframe+"pp",OBJ_ARROW,0,Time[0],PP);
   ObjectSet(timeframe+"pp",OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE);
   ObjectSet(timeframe+"pp",OBJPROP_COLOR,Pivot_color);  
   ObjectSet(timeframe+"pp",OBJPROP_WIDTH,size);  

   ObjectCreate (timeframe+"r1",OBJ_ARROW,0,Time[0],R1);
   ObjectSet(timeframe+"r1",OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE);
   ObjectSet(timeframe+"r1",OBJPROP_COLOR,R1_color);  
   ObjectSet(timeframe+"r1",OBJPROP_WIDTH,size);  

   ObjectCreate (timeframe+"s1",OBJ_ARROW,0,Time[0],S1);
   ObjectSet(timeframe+"s1",OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE);
   ObjectSet(timeframe+"s1",OBJPROP_COLOR,S1_color);  
   ObjectSet(timeframe+"s1",OBJPROP_WIDTH,size);  

   ObjectCreate (timeframe+"r2",OBJ_ARROW,0,TimeCurrent(),R2);
   ObjectSet(timeframe+"r2",OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE);
   ObjectSet(timeframe+"r2",OBJPROP_COLOR,R2_color);  
   ObjectSet(timeframe+"r2",OBJPROP_WIDTH,size);  
   
   ObjectCreate (timeframe+"s2",OBJ_ARROW,0,TimeCurrent(),S2);
   ObjectSet(timeframe+"s2",OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE);
   ObjectSet(timeframe+"s2",OBJPROP_COLOR,S2_color);  
   ObjectSet(timeframe+"s2",OBJPROP_WIDTH,size);  
   
   ObjectCreate (timeframe+"r3",OBJ_ARROW,0,TimeCurrent(),R3);
   ObjectSet(timeframe+"r3",OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE);
   ObjectSet(timeframe+"r3",OBJPROP_COLOR,R3_color);  
   ObjectSet(timeframe+"r3",OBJPROP_WIDTH,size);  

   ObjectCreate (timeframe+"s3",OBJ_ARROW,0,TimeCurrent(),S3);
   ObjectSet(timeframe+"s3",OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE);
   ObjectSet(timeframe+"s3",OBJPROP_COLOR,S3_color);  
   ObjectSet(timeframe+"s3",OBJPROP_WIDTH,size);  

   return(0);
  }
//-------------------------------------------------------------------

int deinit()
  {
   ObjectDelete(timeframe+"pp");
   ObjectDelete(timeframe+"r1");
   ObjectDelete(timeframe+"s1");
   ObjectDelete(timeframe+"r2");
   ObjectDelete(timeframe+"s2");
   ObjectDelete(timeframe+"r3");
   ObjectDelete(timeframe+"s3");
   
   return(0);
  }
//-------------------------------------------------------------------

